pike.git / lib / modules / Protocols.pmod / HTTP.pmod / module.pmod

version» Context lines:

pike.git/lib/modules/Protocols.pmod/HTTP.pmod/module.pmod:50:   constant DAV_LOCKED = 423; // RFC 2518 10.4: Locked   constant DAV_FAILED_DEP = 424; // RFC 2518 10.5: Failed Dependency      // Server errors   constant HTTP_INTERNAL_ERR = 500; // RFC 2616 10.5.1: Internal Server Error   constant HTTP_NOT_IMPL = 501; // RFC 2616 10.5.2: Not Implemented   constant HTTP_BAD_GW = 502; // RFC 2616 10.5.3: Bad Gateway   constant HTTP_UNAVAIL = 503; // RFC 2616 10.5.4: Service Unavailable   constant HTTP_GW_TIMEOUT = 504; // RFC 2616 10.5.5: Gateway Timeout   constant HTTP_UNSUPP_VERSION = 505; // RFC 2616 10.5.6: HTTP Version Not Supported + constant TCN_VARIANT_NEGOTIATES = 506; // RFC 2295 8.1: Variant Also Negotiates   constant DAV_STORAGE_FULL = 507; // RFC 2518 10.6: Insufficient Storage      object do_method(string method,    string|Standards.URI url,    void|mapping query_variables,    void|mapping request_headers,    void|Protocols.HTTP.Query con, void|string data)   {    if(!con) {    con = Protocols.HTTP.Query();